mcelog errors and panic with linux-image-3.0.0-15.26 when querying info from dvd

Bug #924596 reported by Dan Kegel on 2012-02-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This may be related to bug 809313.

While testing a fix for http://bugs.winehq.org/show_bug.cgi?id=29669
(a buglet in fetching DVD_LAYER_DESCRIPTOR from the DVD),
I discovered that running my little test program made the machine
panic with a machine check error.

After restarting, /var/log/mcelog contained:

mcelog: failed to prefill DIMM database from DMI data
Kernel does not support page offline interface
mcelog: mcelog read: No such device
Hardware event. This is not a software error.
MCE 0
CPU 0 BANK 5
MISC 7fff ADDR 3fff812fa524
TIME 1328052557 Tue Jan 31 15:29:17 2012
MCG status:
MCi status:
Uncorrected error
Error enabled
MCi_MISC register valid
MCi_ADDR register valid
Processor context corrupt
MCA: Internal Timer error
STATUS be00000000800400 MCGSTATUS 0
MCGCAP 1c09 APICID 0 SOCKETID 0
CPUID Vendor Intel Family 6 Model 26
Hardware event. This is not a software error.
MCE 1
CPU 2 BANK 5
MISC 7fff ADDR 3fff8102fbe0
TIME 1328052557 Tue Jan 31 15:29:17 2012
MCG status:
MCi status:
Uncorrected error
Error enabled
MCi_MISC register valid
MCi_ADDR register valid
Processor context corrupt
MCA: Internal Timer error
STATUS be00000000800400 MCGSTATUS 0
MCGCAP 1c09 APICID 4 SOCKETID 0
CPUID Vendor Intel Family 6 Model 26

I will attach a png of the panic backtrace along with the test program.

For me, this is highly repeatable (though seeing the backtrace is not; sometimes the screen is just black).

I have not tested other kernels (e.g. the 32 bit kernel) nor have I tested with precise alpha.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-15-generic 3.0.0-15.26
ProcVersionSignature: Ubuntu 3.0.0-15.26-generic 3.0.13
Uname: Linux 3.0.0-15-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: dank 2520 F.... pulseaudio
 /dev/snd/controlC0: dank 2520 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf9cf8000 irq 47'
   Mixer name : 'Realtek ALC889A'
   Components : 'HDA:10ec0885,18490890,00100101'
   Controls : 37
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xfbefc000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
Date: Tue Jan 31 16:05:44 2012
HibernationDevice: RESUME=UUID=47ad51b1-d259-496b-bcd7-f91ea5c06b87
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-15-generic root=UUID=89c17a44-2d1c-4020-a62c-06bf5ac99a4a ro
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-15-generic N/A
 linux-backports-modules-3.0.0-15-generic N/A
 linux-firmware 1.60
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/16/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P2.50
dmi.board.name: X58 Extreme
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP2.50:bd08/16/2010:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnX58Extreme:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Dan Kegel (dank) wrote :
Brad Figg (brad-figg) on 2012-02-01
Changed in linux (Ubuntu):
status: New → Confirmed
Dan Kegel (dank) wrote :

Here's the backtrace: http://kegel.com/linux/bug924596/IMG_5217.JPG
The test programs (both 32 and 64 bits) are at http://kegel.com/linux/bug924596/

To reproduce, you have to have an already-burned DVD-ROM in the drive, and wine has to know about it.

Dan Kegel (dank) wrote :

(It probably wouldn't be too hard to translate that win32 test case into a native linux one, if anybody wants to.)

Dan Kegel (dank) wrote :

Also affects 32 bit ubuntu 11.10.

Dan Kegel (dank) wrote :

Also affects 32 bit precise alpha 1.

Joseph Salisbury (jsalisbury) wrote :

Do you know if this issue happened in previous version of Ubuntu, or is this a new issue?

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.3 kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.3-rc2 fixed the issue, the tag would be: 'kernel-fixed-upstream-v3.3-rc2'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[1] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc2-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Dan Kegel (dank) wrote :

OK, tested as requested, it also happens in the latest upstream kernel, 3.3-rc2.

I don't know whether it occurs in earlier versions or not. I have run many versions over the years, but have only run this test program on 11.10 and precise.

tags: added: i686 kernel-bug-exists-upstream precise
removed: needs-upstream-testing

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-12.21
Dan Kegel (dank) on 2012-02-02
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-13.22
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Brad Figg (brad-figg) on 2012-04-05
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
status: Expired → Confirmed
To post a comment you must log in.